
Infrastructure - Task #2339

Story # 2335 (Closed): cn-sandbox environment needs deployment and testing for RC2

CN Sandbox RC2 CNCore.listChecksumAlgorithms() fails with 404 NotFound

2012-02-14 22:08 - Chris Jones

Status: Closed Start date: 2012-02-14

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Tested:

curl -i "https://cn-sandbox.dataone.org/cn/v1/checksum"

Returned:

No system metadata could be found for given PID: andbox.dataone.org/cn/v1/checksum

cn-sandbox-orc-1 cn.log shows:

[ INFO] 2012-02-14 22:06:45,220 (MetacatProxyCNReadServiceImpl:getChecksum:259) CN getChecksum:

/knb/d1/cn/checksum/andbox.dataone.org/cn/v1/checksum

Seems like the proxy is not forwarding the request correctly.

History

#1 - 2012-02-15 17:43 - Robert Waltz

- Category set to d1_cn_service

- Assignee set to Robert Waltz

#2 - 2012-02-15 18:08 - Chris Jones

Metacat's CnodeService.listChecksumAlgorithms() was returning null.  Fixed, so once the proxy issue is fixed, we should be good.

#3 - 2012-02-24 18:02 - Robert Waltz

- Status changed from New to In Progress

#4 - 2012-02-29 07:59 - Robert Waltz

- Status changed from In Progress to Closed
